org.springframework.context

## Class ApplicationEvent

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ApplicationContextEvent, RequestHandledEvent

    public abstract class ApplicationEvent
    extends EventObject

Class to be extended by all application events. Abstract as it doesn't make sense for generic events to be published directly.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ApplicationEvent(Object source)` Create a new ApplicationEvent.

### Method Summary

Methods
`long` `getTimestamp()` Return the system time in milliseconds when the event happened.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ApplicationEvent

    public ApplicationEvent(Object source)

Create a new ApplicationEvent.

Parameters:
  `source` - the component that published the event (never `null`)

### Method Detail

#### getTimestamp

    public final long getTimestamp()

Return the system time in milliseconds when the event happened.